package com.crm.rely.backend.configuration;

import com.crm.rely.backend.core.constant.Constants;
import org.apache.activemq.command.ActiveMQQueue;
import org.springframework.context.annotation.Bean;

import javax.jms.Queue;

public class BaseActiveMqConfiguration {
    @Bean(name = "logQueue")
    public Queue logQueue() {
        return new ActiveMQQueue(Constants.ACTIVEMQ_JMS_URL_LOG);
    }

    @Bean(name = "smsQueue")
    public Queue smsQueue() {
        return new ActiveMQQueue(Constants.ACTIVEMQ_JMS_URL_SMS);
    }

}
